Skip to main content
POST
Enable alert by ID

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

alert_configuration_id
string
required

Query Parameters

subscription_id
string | null

Used to update the status of a plan alert scoped to this subscription_id

Response

OK

Alerts within Orb monitor spending, usage, or credit balance and trigger webhooks when a threshold is exceeded.

Alerts created through the API can be scoped to either customers or subscriptions.

id
string
required

Also referred to as alert_id in this documentation.

Example:

"XuxCbt7x9L82yyeF"

type
required

The type of alert. This must be a valid alert type.

Available options:
credit_balance_depleted,
credit_balance_dropped,
credit_balance_recovered
Example:

"\"usage_exceeded\", \"cost_exceeded\", \"credit_balance_depleted\", \"credit_balance_recovered\", or \"credit_balance_dropped\""

created_at
string<date-time>
required

The creation time of the resource in Orb.

enabled
boolean
required

Whether the alert is enabled or disabled.

thresholds
Threshold · object[] | null
required

The thresholds that define the conditions under which the alert will be triggered.

customer
CustomerMinified · object | null
required

The customer the alert applies to.

plan
PlanMinifiedWithVersion · object | null
required

The plan the alert applies to.

subscription
SubscriptionMinified · object | null
required

The subscription the alert applies to.

metric
BillableMetricMinified · object | null
required

The metric the alert applies to.

currency
string | null
required

The name of the currency the credit balance or invoice cost is denominated in.

license_type
LicenseTypeMinified · object | null

The license type the alert applies to. Only present for license alerts.

grouping_keys
string[] | null

The property keys to group cost alerts by. Only present for cost alerts with grouping enabled.

price_filters
PriceFilter · object[] | null

Filters scoping which prices are included in grouped cost alert evaluation.

threshold_overrides
ThresholdOverride · object[] | null

Per-group threshold overrides. Each override maps a specific combination of grouping_keys values to a replacement threshold list. Only present for grouped cost alerts that have at least one override.

balance_alert_status
BalanceAlertStatus · object[] | null

The current status of the alert. This field is only present for credit balance alerts.